import '../src/base/file_system.dart';

import '../src/android/android_sdk.dart';
import '../src/base/utils.dart';
import '../src/cache.dart';
import '../src/base/process.dart';


final String cliVersion = "0.0.1";

enum CliEnvironment {
  debug,
  release
}

CliEnvironment cliEnvironment(){
  return CliEnvironment.release;
}


Future<void> writeContent2Path(String path,String fileName, String content) async {
  var file = fs.file('$path/$fileName');

  var sink = file.openWrite();
  sink.write(content);
  await sink.flush();
  await sink.close();
  return Future.value();
}


void writeLocalProperties(File properties) {
  final SettingsFile settings = SettingsFile();
  if (androidSdk != null) {

    settings.values['sdk.dir'] = escapePath(androidSdk.directory);
    settings.values['flutter.sdk'] = escapePath(Cache.flutterRoot);
  }

  settings.writeContents(properties);
}


void cliUnzip(File file, String targetPath) {

  runSync(<String>['unzip', '-o', '-q', file.path, '-d', targetPath]);
}
